Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc
[Groovy] Class PdfBuilder

    java.lang.Object
      grails.doc.PdfBuilder

    class PdfBuilder

Method Summary
`static void` | `build(java.lang.String baseDir, java.lang.String styleDir = null)`
`static void` | `build(java.util.Map options)` Builds a PDF file from the manual's single.html file.
`static void` | `createPdf(java.lang.String xml, java.io.File outputFile, java.io.File urlBase)`
`static java.lang.String` | `createXml(java.io.File htmlFile, java.lang.String base)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### build

    static void build(java.lang.String baseDir, java.lang.String styleDir = null)

### build

    static void build(java.util.Map options)

  Builds a PDF file from the manual's single.html file.

  The following directories are assumed to exist:

  - $basedir/guide/single.html
  - $basedir/guide/css/
  - $basedir/guide/img/
  The `options` map should have the following key/value pairs
  - basedir = points to the root directory that contains the generated manual required

### createPdf

    static void createPdf(java.lang.String xml, java.io.File outputFile, java.io.File urlBase)

### createXml

    static java.lang.String createXml(java.io.File htmlFile, java.lang.String base)

Groovy Documentation